package com.usky.alarm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 统一告警表
 * </p>
 *
 * @author han
 * @since 2023-09-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseAlarm implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 告警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime alarmTime;

    /**
     * 告警类型
     */
    private String alarmType;

    /**
     * 告警对象
     */
    private String alarmObject;

    /**
     * 告警值
     */
    private String alarmData;

    /**
     * 告警属性
     */
    private String alarmAttribute;

    /**
     * 告警内容
     */
    private String alarmContent;

    /**
     * 告警等级;1 一级，2 二级，3 三级，4 四级，5 五级
     */
    private Integer alarmGrade;

    /**
     * 告警位置
     */
    private String alarmAddress;

    /**
     * 处理人
     */
    private String handleBy;

    /**
     * 处理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime handleTime;

    /**
     * 处理内容
     */
    private String handleContent;

    /**
     * 处理人电话
     */
    private String handlePhone;

    /**
     * 处理状态;0 未处理，1 已处理
     */
    private Integer handleStatus;

    /**
     * 是否误报;0 非误报，1 误报
     */
    private Integer alarmFalse;

    /**
     * 现场照片
     */
    private String sitePhoto;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 单位名称
     */
    @TableField(exist = false)
    private String companyName;

    /**
     * 设备名称
     */
    @TableField(exist = false)
    private String deviceName;

    /**
     * 处理范围
     */
    @TableField(exist = false)
    private Integer handleRange;

    /**
     * 图标
     */
    @TableField(exist = false)
    private String typeImg;

    /**
     * 设施编号
     */
    @TableField(exist = false)
    private Integer facilityId;

    /**
     * 转换时间
     */
    @TableField(exist = false)
    private String alarmTime1;


}
