package com.usky.alarm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 告警通知配置
 * </p>
 *
 * @author han
 * @since 2023-09-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseAlarmNotice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 系统编码
     */
    private String productCode;

    /**
     * 告警类型编码
     */
    private String typeCode;

    /**
     * 第一次接收人
     */
    private String receiver1;

    /**
     * 第二次接收人
     */
    private String receiver2;

    /**
     * 第三次接收人
     */
    private String receiver3;

    /**
     * 第一次超时时间
     */
    private Integer timeOut1;

    /**
     * 第二次超时时间
     */
    private Integer timeOut2;

    /**
     * 通知方式
     */
    private String noticeMethod;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 删除标识
     */
    private Integer deleteFlag;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
