package com.usky.alarm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 告警通知结果
 * </p>
 *
 * @author han
 * @since 2023-09-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseAlarmNoticeResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 接收人
     */
    private String receiver;

    /**
     * 通知结果
     */
    private Integer noticeResult;

    /**
     * 告警ID
     */
    private Integer alarmId;

    /**
     * 通知时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime noticeTime;

    /**
     * 通知类型（1、站内 2、微信 3、语音 4、短信 5、邮件）
     */
    private Integer noticeType;

    /**
     * 推送内容
     */
    private String noticeContent;

    /**
     * 是否已读
     */
    private Integer isRead;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 接收人电话
     */
    private String receiverPhone;


}