package com.usky.alarm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 告警统计表
 * </p>
 *
 * @author han
 * @since 2023-11-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseAlarmStatistic implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 告警数量
     */
    private Integer alarmNum;

    /**
     * 隐患数量
     */
    private Integer pitfallNum;

    /**
     * 统计维度;1、日 2、月
     */
    private Integer statisticDimen;

    /**
     * 统一时间
     */
    private LocalDateTime statisticTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
