package com.usky.alarm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 产品信息表
 * </p>
 *
 * @author han
 * @since 2023-09-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpProduct implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 接入方式（1、设备直连  2、网关接入）
     */
    private Integer accessMode;

    /**
     * 网络类型（1、WIFI  2、移动蜂窝数据 3、NB-IoT 4、以太网）
     */
    private Integer networkType;

    /**
     * 设备类型（501、监控系统  502、门禁系统  503、梯控系统  504、机房系统  509、环境系统  510、照明系统）
     */
    private Integer deviceType;

    /**
     * 通信协议（1、MQTT  2、TCP设备直连 3、HTTP）
     */
    private Integer comProtocol;

    /**
     * 认证方式
     */
    private String authMode;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 产品描述
     */
    private String productDescribe;

    /**
     * 厂家名称
     */
    private String factoryName;

    /**
     * 厂家联系人
     */
    private String factoryPerson;

    /**
     * 厂家联系电话
     */
    private String factoryPhone;

    /**
     * 资质证书1
     */
    private String certificateUrl1;

    /**
     * 资质证书2
     */
    private String certificateUrl2;

    /**
     * 资质证书3
     */
    private String certificateUrl3;

    /**
     * 协议文档
     */
    private String agreementUrl;

    /**
     * 删除标识
     */
    private Integer deleteFlag;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;

    /**
     * 租户号
     */
    private Integer tenantId;

    /**
     * 产品编码
     */
    private String productCode;


}
