package com.usky.alarm.mapper;

import com.usky.alarm.domain.BaseAlarmStatistic;
import com.usky.common.mybatis.core.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 告警统计表 Mapper 接口
 * </p>
 *
 * @author han
 * @since 2023-11-24
 */
@Repository
public interface BaseAlarmStatisticMapper extends CrudMapper<BaseAlarmStatistic> {
    List<Map<String, Object>> getStatistic(@Param("startTime") LocalDate startTime,
                                          @Param("endTime") LocalDate endTime);
}
