package com.usky.backend.domain;

import com.usky.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DataAverageExportVO {
    /**
     * 数据统计方式时间
     */
    @Excel(name = "数据统计时间")
    private String dataDate;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 室内温度平均值
     */
    @Excel(name = "室内温度平均值")
    private String wdIn;

    /**
     * 室外温度平均值
     */
    @Excel(name = "室外温度平均值")
    private String wdOut;

    /**
     * 室内湿度平均值
     */
    @Excel(name = "室内湿度平均值")
    private String sdIn;

    /**
     * 室外湿度平均值
     */
    @Excel(name = "室外湿度平均值")
    private String sdOut;

    /**
     * 室内pm2_5平均值
     */
    @Excel(name = "室内pm2_5平均值")
    private String pm2_5In;

    /**
     * 室外pm2_5平均值
     */
    @Excel(name = "室外pm2_5平均值")
    private String pm2_5Out;

    /**
     * 室内co2平均值
     */
    @Excel(name = "室内co2平均值")
    private String co2;

    /**
     * 室内voc平均值（优就是1，良是2，差是3）
     */
    @Excel(name = "室内voc等级值")
    private String voc;

    /**
     * 室外空气质量平均值（1、优质 2、良好 3、轻度污染 4、中度污染 5、重度污染 6、严重污染）
     */
    @Excel(name = "室外空气质量等级值")
    private String quality;
}
