package com.usky.backend.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 实时数据表
 * </p>
 *
 * @author ya
 * @since 2023-06-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DataRealTime implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 属性名称
     */
    private String attributeName;

    /**
     * 属性值
     */
    private String attributeData;

    /**
     * 数据时间
     */
    private LocalDateTime dataTime;

    /**
     * 插入时间
     */
    private LocalDateTime insertTime;


}
