package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.DemFireTypicalCase;
import com.usky.fire.service.DemFireTypicalCaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 典型火灾案例信息表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-10-10
 */
@RestController
@RequestMapping("/demFireTypicalCase")
public class DemFireTypicalCaseController {
    @Autowired
    private DemFireTypicalCaseService demFireTypicalCaseService;

    /**
     * 典型火灾案例信息
     * @param regionType
     * @return
     */
    @GetMapping("infoList")
    public ApiResult<List<DemFireTypicalCase>> infoList(@RequestParam(value = "regionType") Integer regionType){
        return ApiResult.success(demFireTypicalCaseService.infoList(regionType));
    }
}

