package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.log.annotation.Log;
import com.usky.common.log.enums.BusinessType;
import com.usky.fire.service.ReportConfigService;
import com.usky.fire.service.ReportIndexConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 指数配置表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-06-27
 */
@RestController
@RequestMapping("/reportIndexConfig")
public class ReportIndexConfigController {
    @Autowired
    private ReportIndexConfigService reportIndexConfigService;

    /**
     * 报告模型指数-删除
     *
     * @param id 主键ID
     * @return
     */
    @Log(title = "报告模型指数-删除", businessType = BusinessType.DELETE)
    @DeleteMapping("/delReportIndexConfig")
    public ApiResult<Void> delReportIndexConfig(@RequestParam(value = "id") Integer id) {
        reportIndexConfigService.delReportIndexConfig(id);
        return ApiResult.success();
    }
}

