package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 区域基本情况统计表
 * </p>
 *
 * @author han
 * @since 2023-10-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseRegionStatistic implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 辖区名称
     */
    private String regionName;

    /**
     * 辖区面积（平方千米）
     */
    private Double regionArea;

    /**
     * 常住人口（万）
     */
    private Double regionResident;

    /**
     * 街镇数量
     */
    private Integer streetTownNum;

    /**
     * 大型综合体数量
     */
    private Integer largeBuildNum;

    /**
     * 重点单位数量
     */
    private Integer keyCompanyNum;

    /**
     * 医院数量
     */
    private Integer hospitalNum;

    /**
     * 学校数量
     */
    private Integer schoolNum;

    /**
     * 消防救援站数量
     */
    private Integer fireRescueNum;

    /**
     * 微型消防站数量
     */
    private Integer miniFireNum;

    /**
     * 专职消防队数量
     */
    private Integer fullTimeNum;

    /**
     * 一级微型消防站数量
     */
    private Integer priorMiniNum;

    /**
     * 社区微型消防站数量
     */
    private Integer communityMiniNum;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creatorBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新人
     */
    private String updateBy;


}
