package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 重大火灾隐患整改销案通知书
 * </p>
 *
 * @author han
 * @since 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireHazardsCancellation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 文号1
     */
    private String bookNum1;

    /**
     * 文号2
     */
    private String bookNum2;

    /**
     * 文号3
     */
    private String bookNum3;

    /**
     * 文号4
     */
    private String bookNum4;

    /**
     * 文号
     */
    private String bookNum;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 检查时间
     */
    private LocalDateTime checkTime;

    /**
     * 通知书文号
     */
    private String noticeBookNum;

    /**
     * 整改情况
     */
    private String rectificationSituation;

    /**
     * 印章时间
     */
    private LocalDateTime stampTime;

    /**
     * 录入人ID
     */
    private String enterById;

    /**
     * 录入人编码
     */
    private String enterByCode;

    /**
     * 录入人姓名
     */
    private String enterBy;

    /**
     * 录入时间
     */
    private LocalDateTime enterTime;

    /**
     * user_design_id
     */
    @TableId(value = "user_design_id", type = IdType.AUTO)
    private Integer userDesignId;


}
