package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 重大火灾隐患整改通知书
 * </p>
 *
 * @author han
 * @since 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireHazardsNotice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 备注
     */
    private String remark;

    /**
     * 部署ID
     */
    private String deployId;

    /**
     * 录入运行ID
     */
    private String enterOperationId;

    /**
     * 录入登录ID
     */
    private String enterLoginId;

    /**
     * 录入人ID
     */
    private String enterById;

    /**
     * 录入人编码
     */
    private String enterByCode;

    /**
     * 录入人姓名
     */
    private String enterBy;

    /**
     * 录入时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime enterTime;

    /**
     * 修改运行ID
     */
    private String updateOperationId;

    /**
     * 修改登录ID
     */
    private String updateLoginId;

    /**
     * 修改人ID
     */
    private String updateById;

    /**
     * 修改人编码
     */
    private String updateByCode;

    /**
     * 修改人姓名
     */
    private String updateBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    /**
     * 项目编号
     */
    private String projectNum;

    /**
     * 主管单位名称
     */
    private String sponsorName;

    /**
     * 状态
     */
    private String state;

    /**
     * 最后同步时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastSyncTime;

    /**
     * 主管单位文书抬头
     */
    private String sponsorBookTitle;

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 文书索引ID
     */
    private String bookIndexId;

    /**
     * 任务文书设置ID
     */
    private String taskBookId;

    /**
     * 文号
     */
    private String bookNum;

    /**
     * 制定级别
     */
    private String customLevel;

    /**
     * 制定单位
     */
    private String customCompany;

    /**
     * 是否删除
     */
    private String deleteFlag;

    /**
     * 版本号
     */
    private String versionNum;

    /**
     * 录入IP
     */
    private String enterIp;

    /**
     * 修改IP
     */
    private String updateIp;

    /**
     * 制定单位名称
     */
    private String customCompanyName;

    /**
     * 制定级别名称
     */
    private String customLevelName;

    /**
     * 状态名称
     */
    private String stateName;

    /**
     * 主键/ID
     */
    private String id;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 主管单位级别
     */
    private String sponsorLevel;

    /**
     * 所属总队
     */
    private String affiliatedCorps;

    /**
     * 所属支队
     */
    private String affiliatedBranch;

    /**
     * 所属大队
     */
    private String affiliatedBrigade;

    /**
     * OUTER_ID
     */
    private String outerId;

    /**
     * 所属大队名称
     */
    private String affiliatedBrigadeName;

    /**
     * 所属总队名称
     */
    private String affiliatedCorpsName;

    /**
     * 所属支队名称
     */
    private String affiliatedBranchName;

    /**
     * 主管单位级别名称
     */
    private String sponsorLevelName;

    /**
     * 排序号
     */
    private String sequence;

    /**
     * 签收时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime signTime;

    /**
     * 检查时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime checkTime;

    /**
     * 印章时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime stampTime;

    /**
     * SPAREFILED5
     */
    private String spareFiled5;

    /**
     * SPAREFILED4
     */
    private String spareFiled4;

    /**
     * SPAREFILED3
     */
    private String spareFiled3;

    /**
     * SPAREFILED2
     */
    private String spareFiled2;

    /**
     * SPAREFILED1
     */
    private String spareFiled1;

    /**
     * 主管单位ID（执法单位）
     */
    private String sponsorId;

    /**
     * 文号1
     */
    private String bookNum1;

    /**
     * 文号2
     */
    private String bookNum2;

    /**
     * 文号3
     */
    private String bookNum3;

    /**
     * 文号4
     */
    private String bookNum4;

    /**
     * 内容
     */
    private String content;

    /**
     * 被检查单位负责人（签名）
     */
    private String companyHead;

    /**
     * 单位级别
     */
    private String companyLevel;

    /**
     * 责令改正时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime orderCorrectTime;

    /**
     * 被检查单位签收
     */
    private String companySign;

    /**
     * 回填ID
     */
    private String backfillId;

    /**
     * GAJ
     */
    private String gaj;

    /**
     * XCOTHER
     */
    private String xcother;

    /**
     * TXRQ
     */
    private String txrq;

    /**
     * STATE
     */
    private String state2;

    /**
     * SIGN
     */
    private String sign;

    /**
     * JGJC
     */
    private String jgjc;

    /**
     * SPBID
     */
    private String spbid;

    /**
     * 挂牌级别（1、市级 2、区级）
     */
    private Integer listingLevel;

    /**
     * unionKey
     */
    private String unionKey;

    /**
     * user_design_id
     */
    @TableId(value = "user_design_id", type = IdType.AUTO)
    private Integer userDesignId;

    /**
     * 销案状态
     */
    @TableField(exist = false)
    private Integer noticeState;

}
