package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 消防安全检查记录表
 * </p>
 *
 * @author han
 * @since 2023-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireSafetyInspection implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 检查人员姓名
     */
    private String checkName;

    /**
     * 检查人员所属单位
     */
    private String subordinateCompany;

    /**
     * 检查时间
     */
    private LocalDateTime checkTime;

    /**
     * 单位类型（1：重点单位、2：一般单位、3：九小场所、9：其他单位）
     */
    private String companyType;

    /**
     * 单位使用性质
     */
    private String companyUseNature;

    /**
     * 单位（法人）名称
     */
    private String companyName;

    /**
     * 单位（场所）实际名称
     */
    private String companyActualName;

    /**
     * 网格号
     */
    private String gridNum;

    /**
     * 所辖派出所
     */
    private String subordinatePoliceStation;

    /**
     * 街镇
     */
    private String street;

    /**
     * 单位地址
     */
    private String companyAddress;

    /**
     * 消防安全责任人姓名
     */
    private String fireDutyName;

    /**
     * 消防安全管理人姓名
     */
    private String fireManageName;

    /**
     * 联系电话（手机）
     */
    private String phone;

    /**
     * 隐患图片
     */
    private String hiddImage;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;


}
