package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 典型火灾案例信息表
 * </p>
 *
 * @author han
 * @since 2023-10-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireTypicalCase implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 案例简介
     */
    private String caseBrief;

    /**
     * 区域类型（1、全国 2、本市 3、本区）
     */
    private Integer regionType;

    /**
     * 文件路径
     */
    private String fileUrl;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creatorBy;


}
