package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 网格基础信息统计表
 * </p>
 *
 * @author han
 * @since 2023-10-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemGridMemderStatistic implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 网格员管理表主键ID
     */
    private Integer gridMemberId;

    /**
     * 网格员人数
     */
    private Integer personnelNum;

    /**
     * 居民小区数量
     */
    private Integer villageNum;

    /**
     * 高层建筑数量
     */
    private Integer highRiseNum;

    /**
     * 办公楼宇数量
     */
    private Integer officeBuildingsNum;

    /**
     * 沿街门面店数量
     */
    private Integer streetFrontNum;

    /**
     * 重点单位数量
     */
    private Integer keyCompanyNum;

    /**
     * 厂房仓库数量
     */
    private Integer factoryStoreNum;

    /**
     * 医疗机构数量
     */
    private Integer medicalInstitutionNum;

    /**
     * 学校数量
     */
    private Integer schoolNum;

    /**
     * 养老机构数量
     */
    private Integer elderCareNum;

    /**
     * 综合体数量
     */
    private Integer largeBuildNum;

    /**
     * 商市场数量
     */
    private Integer dealerMarketNum;

    /**
     * 公共娱乐场所数量
     */
    private Integer pulicEntertainmentNum;

    /**
     * 宗教场所数量
     */
    private Integer religiousPlacesNum;

    /**
     * 宾馆数量
     */
    private Integer hotelNum;

    /**
     * 规模租赁数量
     */
    private Integer scaleRentNum;

    /**
     * 加油站数量
     */
    private Integer gasStationNum;

    /**
     * 地铁车站数量
     */
    private Integer subwayStationNum;

    /**
     * 在建工地数量
     */
    private Integer constructionSiteNum;

    /**
     * 社会消防组织数量
     */
    private Integer communityNum;

    /**
     * 其他数量
     */
    private Integer otherNum;


}
