package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 不同意投入使用信息表
 * </p>
 *
 * @author han
 * @since 2023-10-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemNewDisagreeUse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 救援机构名称
     */
    private String rescueName;

    /**
     * 文号1
     */
    private String document1;

    /**
     * 文号2
     */
    private String document2;

    /**
     * 文号3
     */
    private String document3;

    /**
     * 文号4
     */
    private String document4;

    /**
     * 文号
     */
    private String document;

    /**
     * 申请单位名称
     */
    private String applicantCompany;

    /**
     * 场所名称
     */
    private String facilityName;

    /**
     * 场所地址
     */
    private String facilityAddress;

    /**
     * 安全检查日期
     */
    private LocalDateTime checkTime;

    /**
     * 消防安全问题
     */
    private String fireSafety;

    /**
     * 是否删除
     */
    private Integer deleteFlag;


}
