package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 新消监_消防监督检查记录
 * </p>
 *
 * @author han
 * @since 2023-09-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemNewInspectRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 文号
     */
    private String documentNumber;

    /**
     * 备注
     */
    private String remark;

    /**
     * 删除标识;（0未删除，1 已删除）
     */
    private Integer deleteFlag;

    /**
     * 录入人姓名
     */
    private String enterBy;

    /**
     * 录入时间
     */
    private LocalDateTime enterTime;

    /**
     * 修改人姓名
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;

    /**
     * 项目编号
     */
    private String projectNum;

    /**
     * 主管单位名称
     */
    private String sponsorName;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 单位地址
     */
    private String companyAddress;

    /**
     * 检查结果
     */
    private Integer inspectionResult;

    /**
     * 消防监督检查员
     */
    private String enforceInspectPerson;

    /**
     * 检查时间
     */
    private LocalDateTime checkTime;


}
