package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 新消监_行政处罚决定书
 * </p>
 *
 * @author han
 * @since 2023-09-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemNewPenaltyLetter implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 罚款金额
     */
    private Integer penaltyAmount;

    /**
     * 检查时间
     */
    private LocalDateTime checkTime;

    /**
     * 是否三停
     */
    private Integer tripleStop;

    /**
     * 设施编号
     */
    @TableField(exist = false)
    private Integer totalSum;


}
