package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author han
 * @since 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemStreetTown implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 行政区
     */
    private String district;

    /**
     * 乡镇
     */
    private String streetTown;

    /**
     * 镇类别
     */
    private String townType;

    /**
     * 建成区面积（km²）
     */
    private Double builtUpArea;

    /**
     * 常住人口（万人）
     */
    private Double permanentPopulation;

    /**
     * 居住人口（万人）
     */
    private Double residentPopulation;

    /**
     * 易燃易爆危险品生产、经营单位数量
     */
    private Integer dangerousGood;

    /**
     * 劳动密集型企业数量
     */
    private Integer labourIntensive;

    /**
     * 上一年度税收（亿元）
     */
    private Double lastYearTax;

    /**
     * 是否已建立国家综合消防救援队(1 是，0 否)
     */
    private Integer rescueTeam;

    /**
     * “内部”的国家综合性消防救援队名称
     */
    private String internalRescueTeam;

    /**
     * “外部”到达边缘最近的国家队名称
     */
    private String externalRescueTeam;

    /**
     * 到达边缘的行车距离或时间
     */
    private String distanceTime;

    /**
     * 是否已建设乡镇政府专职消防队
     */
    private Integer dedicatedFireBrigade;

    /**
     * 乡镇政府专消防队名称
     */
    private String specializedFireBrigade;

    /**
     * 是否接入可视化调度平台
     */
    private Integer visualizedPlatform;


}
