package com.usky.fire.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 签到、签退信息记录表
 * </p>
 *
 * @author fu
 * @since 2024-02-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PatrolInspectionAttendance implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 签到、签退信息记录表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 组织机构ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 签到人
     */
    private String operator;

    /**
     * 签到人id
     */
    private Long operatorId;

    /**
     * 操作时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime operateDate;

    /**
     * 签到类型（0 签到，1 签退）
     */
    private Integer signInType;

    /**
     *
     * 操作类型编码
     */
    private String operateCode;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 图片路径
     */
    private String imagePath;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 维度
     */
    private BigDecimal latitude;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 身份编号
     */
    private String identificationNumber;

}
