package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 指数配置表
 * </p>
 *
 * @author han
 * @since 2023-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ReportIndexConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 报告模版ID
     */
    private Integer reportId;

    /**
     * 指数名称
     */
    private String indexName;

    /**
     * 指数编号
     */
    private String indexCode;

    /**
     * 指数等级
     */
    private Integer indexGrade;

    /**
     * 上级指数ID;一级该值为0
     */
    private Integer seniorIndex;

    /**
     * 指数权重分
     */
    private Double indexWeight;

    /**
     * 指数评分说明
     */
    private String indexDesc;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
