package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 指数结果表
 * </p>
 *
 * @author han
 * @since 2023-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ReportIndexResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 指数编号
     */
    private String indexCode;

    /**
     * 指数名称
     */
    private String indexName;

    /**
     * 对象ID
     */
    private Integer objectId;

    /**
     * 得分
     */
    private Double indexScore;

    /**
     * 指数值
     */
    private String indexData;

    /**
     * 生成日期
     */
    private LocalDate createDate;

    /**
     * 评分类型
     */
    private Integer scoreType;

    /**
     * 评分说明
     */
    private String scoreDesc;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
