package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报告结果表
 * </p>
 *
 * @author han
 * @since 2023-06-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ReportResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 对象ID
     */
    private Integer objectId;

    /**
     * 生成日期
     */
    private LocalDate createDate;

    /**
     * 综合得分
     */
    private Double overallScore;

    /**
     * 报告地址
     */
    private String reportUrl;

    /**
     * 报告对象
     */
    private String reportObject;

    /**
     * 对象类型
     */
    private Integer objectType;

    /**
     * 报告配置ID
     */
    private Integer configId;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
