package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemReportInfo;
import com.usky.fire.domain.ReportResult;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 报告结果表 服务类
 * </p>
 *
 * @author han
 * @since 2023-06-28
 */
public interface ReportResultService extends CrudService<ReportResult> {
    /**
     * 消防报告-历史报告列表查询
     *
     * @param companyId  单位名称
     * @param sourceType  来源类型
     * @param pageNum      当前页
     * @param pageSize     每页条数
     * @return
     */
    CommonPage<ReportResult> reportResultList(Integer companyId, String sourceType, Integer pageNum, Integer pageSize);

    /**
     * 报告结果-查询
     *
     * @param reportObject  报告对象
     * @param pageNum      当前页
     * @param pageSize     每页条数
     * @return
     */
    CommonPage<Object> newReportResultList(String reportObject,Integer pageNum, Integer pageSize);
}
