package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.security.utils.SecurityUtils;
import com.usky.fire.domain.DemStreetTown;
import com.usky.fire.mapper.DemStreetTownMapper;
import com.usky.fire.service.DemStreetTownService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author han
 * @since 2023-08-17
 */
@Service
public class DemStreetTownServiceImpl extends AbstractCrudService<DemStreetTownMapper, DemStreetTown> implements DemStreetTownService {
    @Override
    public List<DemStreetTown> streetDataList(String streetTown){
        LambdaQueryWrapper<DemStreetTown> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper
                .eq(StringUtils.isNotBlank(streetTown),DemStreetTown::getStreetTown,streetTown);
        List<DemStreetTown> list = this.list(queryWrapper);
        return list;
    }
}
