package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.usky.fire.domain.PatrolInspectionArea;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionAreaVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检区域ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 序号
     */
    private Integer xh;

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 区域父ID
     */
    private Integer areaFid;

    /**
     * 部门ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;

    /**
     * 子区域
     */
    private String[] areaNameArray;

    /**
     * 地址数量
     */
    private Integer siteCount;

    /**
     * 计划数量
     */
    private Integer planCount;

    /**
     * 人员数量
     */
    private Integer personnelCount;

    /** 子菜单 */
    @TableField(exist = false)
    private List<PatrolInspectionAreaVo> children = new ArrayList<PatrolInspectionAreaVo>();
}
