package com.usky.iot.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.iot.domain.ReportResourceTotal;
import com.usky.iot.mapper.ReportResourceTotalMapper;
import com.usky.iot.service.ReportResourceTotalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 能耗统计数据报表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-09-11
 */
@RestController
@RequestMapping("/reportResourceTotal")
public class ReportResourceTotalController {

    @Autowired
    private ReportResourceTotalService reportResourceTotalService;

    /**
     * 能耗统计（水资源（今日读数、累计读数）、电能耗（今日读数、累计读数））
     * @param productCode
     * @return
     */
    @GetMapping("getTotalData")
    ApiResult<List<ReportResourceTotal>> getTotalData(@RequestParam String productCode){
        return ApiResult.success(reportResourceTotalService.getTotalData(productCode));
    }
}

