package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 告警通知结果
 * </p>
 *
 * @author han
 * @since 2023-09-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseAlarmNoticeResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 接收人
     */
    private String receiver;

    /**
     * 通知结果
     */
    private Integer noticeResult;

    /**
     * 告警ID
     */
    private Integer alarmId;

    /**
     * 通知时间
     */
    private LocalDateTime noticeTime;

    /**
     * 是否已读
     */
    private Integer isRead;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
