package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 客户管理信息表
 * </p>
 *
 * @author han
 * @since 2023-06-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CrmCustomInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 客户负责人
     */
    private String customPerson;

    /**
     * 客户电话
     */
    private String phone;

    /**
     * 备用电话
     */
    private String phone1;

    /**
     * 维保费
     */
    private Double maintainAmount;

    /**
     * 客户邮箱
     */
    private String email;

    /**
     * 销售负责人
     */
    private String salePerson;

    /**
     * 状态;1：使用中，2：已到期
     */
    private Integer maintainStatus;

    /**
     * 到期时间
     */
    private LocalDateTime expireTime;

    /**
     * 客户地址
     */
    private String customAddress;

    /**
     * 备注
     */
    private String context;

    /**
     * 删除标识
     */
    private Integer deleteFlag;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
