package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 客户提醒信息表
 * </p>
 *
 * @author han
 * @since 2023-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CrmCustomRemind implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 客户管理id
     */
    private Integer customId;

    /**
     * 客户名称
     */
    private String customName;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 邮箱地址
     */
    private String email;

    /**
     * 提醒方式;1：短信，2：邮箱
     */
    private String remindMethod;

    /**
     * 发送状态;1：短信成功，2：短信失败，3：邮箱成功，4：邮箱失败
     */
    private String sendStatus;

    /**
     * 发送内容
     */
    private String sendContext;

    /**
     * 发送时间
     */
    private LocalDateTime sendTime;

    /**
     * 创建用户
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 单位名称
     */
    @TableField(exist = false)
    private String companyName;

    /**
     * 到期日期
     */
    @TableField(exist = false)
    private String expireDate;
}
