package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备报修记录表
 * </p>
 *
 * @author han
 * @since 2023-09-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CrmDeviceRepair implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 报修单编码
     */
    private String repairCode;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目地址
     */
    private String projectAddress;

    /**
     * 报修人
     */
    private String reflectName;

    /**
     * 报修手机号码
     */
    private String reflectPhone;

    /**
     * 报修内容
     */
    private String repairContent;

    /**
     * 报修图片
     */
    private String repairPicture;

    /**
     * 报修状态;1：受理中，2：处理完成
     */
    private Integer repairStatus;

    /**
     * 报修时间
     */
    private LocalDateTime createTime;

    /**
     * 处理人
     */
    private String handleName;

    /**
     * 处理内容
     */
    private String handleContent;

    /**
     * 处理时间
     */
    private LocalDateTime handleTime;

    /**
     * 评分
     */
    private Float score;

    /**
     * 评价内容
     */
    private String appraiseContent;

    /**
     * 组织结构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
