package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 客户发票信息表
 * </p>
 *
 * @author han
 * @since 2023-06-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CrmInvoiceInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 客户管理id
     */
    private Integer customId;

    /**
     * 发票抬头
     */
    private String invoiceTitle;

    /**
     * 税号
     */
    private String dutyId;

    /**
     * 电子邮箱
     */
    private String email;

    /**
     * 申请人
     */
    private String applicant;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 金额
     */
    private Double amount;

    /**
     * 发票类型;1：普票，2：专票
     */
    private Integer invoiceType;

    /**
     * 发票性质;1：电子发票，2：纸质发票
     */
    private Integer invoiceAttribute;

    /**
     * 邮寄地址
     */
    private String sendAddress;

    /**
     * 付款回执
     */
    private String paymentReceipt;

    /**
     * 创建用户
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 开票状态;1：未开票,2：已开票
     */
    private Integer invoiceStatus;

    /**
     * 项目编号
     */
    @TableField(exist = false)
    private String projectId;
}
