package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 产品信息表
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("dmp_product")
public class DmpProductInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 接入方式
     */
    private Integer accessMode;

    /**
     * 网络类型
     */
    private Integer networkType;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 通信协议
     */
    private Integer comProtocol;

    /**
     * 认证方式
     */
    private String authMode;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 产品描述
     */
    private String productDescribe;

    /**
     * 厂家名称
     */
    private String factoryName;

    /**
     * 厂家联系人
     */
    private String factoryPerson;

    /**
     * 厂家联系电话
     */
    private String factoryPhone;

    /**
     * 资质证书1
     */
    private String certificateUrl1;

    /**
     * 资质证书2
     */
    private String certificateUrl2;

    /**
     * 资质证书3
     */
    private String certificateUrl3;

    /**
     * 协议文档
     */
    private String agreementUrl;

    /**
     * 删除标识
     */
    private Integer deleteFlag;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 租户号
     */
    private Integer tenantId;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 设备总数
     */
    @TableField(exist = false)
    private Integer deviceCount;
    /**
     * 在线设备
     */
    @TableField(exist = false)
    private Integer deviceStatusCount;

    /**
     * 注册设备
     */
    @TableField(exist = false)
    private Integer serviceStatusCount;

    /**
     * 类型图片路径
     */
    @TableField(exist = false)
    private String typeImg;
}
