package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 能耗统计数据报表
 * </p>
 *
 * @author han
 * @since 2023-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ReportResourceTotal implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 今日读数
     */
    private String dayData;

    /**
     * 累计读数
     */
    private String totalData;

    /**
     * 统计时间
     */
    private LocalDateTime dataTime;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
