package com.usky.iot.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.usky.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 客户管理信息表-导出
 * </p>
 *
 * @author han
 * @since 2023-06-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CrmCustomInfoExportVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String projectId;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String projectName;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;

    /**
     * 客户负责人
     */
    @Excel(name = "客户负责人")
    private String customPerson;

    /**
     * 客户电话
     */
    @Excel(name = "客户电话")
    private String phone;

    /**
     * 维保费
     */
    @Excel(name = "维保费")
    private Double maintainAmount;

    /**
     * 客户邮箱
     */
    @Excel(name = "客户邮箱")
    private String email;

    /**
     * 销售负责人
     */
    @Excel(name = "销售负责人")
    private String salePerson;

    /**
     * 状态;1：使用中,2：已到期
     */
    @Excel(name = "状态", readConverterExp = "1=使用中,2=已到期")
    private Integer maintainStatus;

    /**
     * 到期时间
     */
    @Excel(name = "到期时间")
    private String expireTime;

    /**
     * 客户地址
     */
    @Excel(name = "客户地址")
    private String customAddress;
}
