package com.usky.iot.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.usky.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CrmInvoiceInfoExportVO  implements Serializable {

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String projectId;

    /**
     * 发票抬头
     */
    @Excel(name = "发票抬头")
    private String invoiceTitle;

    /**
     * 税号
     */
    @Excel(name = "税号")
    private String dutyId;

    /**
     * 发票性质;1：电子发票,2：纸质发票
     */
    @Excel(name = "发票性质", readConverterExp = "1=电子发票,2=纸质发票")
    private Integer invoiceAttribute;

    /**
     * 发票类型;1：普票,2：专票
     */
    @Excel(name = "发票类型", readConverterExp = "1=普票,2=专票")
    private Integer invoiceType;

    /**
     * 金额
     */
    @Excel(name = "金额")
    private String amount;

    /**
     * 开票状态;1：未开票,2：已开票
     */
    @Excel(name = "开票状态", readConverterExp = "1=未开票,2=已开票")
    private Integer invoiceStatus;

    /**
     * 申请人
     */
    @Excel(name = "申请人")
    private String applicant;

    /**
     * 联系方式
     */
    @Excel(name = "联系方式")
    private String phone;

    /**
     * 邮箱
     */
    @Excel(name = "邮箱")
    private String email;

    /**
     * 邮寄地址
     */
    @Excel(name = "邮寄地址")
    private String sendAddress;

    /**
     * 付款回执
     */
    @Excel(name = "付款回执")
    private String paymentReceipt;

    /**
     * 提交时间
     */
    @Excel(name = "提交时间")
    private String createTime;

}
