package com.usky.park.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.influxdb.annotation.Column;

/**
 * <p>
 * 无人驿站历史数据
 * </p>
 *
 * @author fu
 * @since 2023-11-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DataStHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 订单编号
     */
    private String packNo;

    /**
     * 快递名称
     */
    private String expressName;

    /**
     * 接收人电话
     */
    private String receiverPhone;

    /**
     * 联系电话
     */
    private String contactPhone;

    /**
     * 取件地址
     */
    private String pickupAddress;

    /**
     * 取件编号
     */
    private String pickupCode;

    /**
     * 描述内容
     */
    private String content;

    /**
     * 驿站标识
     */
    private String appKey;

    /**
     * 数据时间
     */
    private LocalDateTime dataTime;

    /**
     * 订单状态;0：已推送，1：未推送
     */
    private Integer packStatus;

    /**
     * 取件状态;0：已取件，1：未取件
     */
    private Integer pickupStatus;


}
