package com.usky.website.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 官网_客户信息反馈表
 * </p>
 *
 * @author zyj
 * @since 2024-01-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SiteReview implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 平台名称
     */
    private String platName;

    /**
     * 咨询人
     */
    private String consultName;

    /**
     * 咨询人电话
     */
    private String consultPhone;

    /**
     * 邮箱
     */
    private String mail;

    /**
     * 公司
     */
    private String company;

    /**
     * 咨询内容
     */
    private String consultContent;

    /**
     * 状态;1：待反馈，2：已反馈
     */
    private Integer status;

    /**
     * 提交时间
     */
    private LocalDateTime createTime;

    /**
     * 处理人
     */
    private String handleName;

    /**
     * 处理内容
     */
    private String handleContent;

    /**
     * 处理时间
     */
    private LocalDateTime handleTime;

    /**
     * 组织结构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
