package com.usky.website.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.website.domain.SiteArticle;

/**
 * <p>
 * 官网_内容管理 服务类
 * </p>
 *
 * @author ya
 * @since 2022-08-31
 */
public interface SiteArticleService extends CrudService<SiteArticle> {

    /**
     * 官网-内容管理查询
     *
     * @param categoryid 栏目ID
     * @param id         主键ID
     * @param pageNum    页数
     * @param pageSize   每页条数
     * @return
     */
    CommonPage<SiteArticle> siteArticleList(Integer categoryid, Integer id, Integer articleid, String title, String order, Integer pageNum, Integer pageSize);

    /**
     * 官网-内容的新增
     *
     * @param siteArticle
     */
    void addSiteArticle(SiteArticle siteArticle);

    /**
     * 官网-内容的修改
     *
     * @param siteArticle
     */
    void updateSiteArticle(SiteArticle siteArticle);

    /**
     * 官网-内容的删除
     *
     * @param id 主键ID
     */
    void delSiteArticle(Integer id);
}
