package com.usky.website.service.vo;

import com.usky.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SiteReviewExportVO implements Serializable {
    /**
     * 平台名称
     */
    @Excel(name = "平台")
    private String platName;

    /**
     * 咨询人
     */
    @Excel(name = "姓名")
    private String consultName;

    /**
     * 咨询人电话
     */
    @Excel(name = "电话")
    private String consultPhone;

    /**
     * 邮箱
     */
    @Excel(name = "邮箱")
    private String mail;

    /**
     * 公司
     */
    @Excel(name = "公司")
    private String company;

    /**
     * 咨询内容
     */
    @Excel(name = "备注")
    private String consultContent;

    /**
     * 状态;1：待反馈，2：已反馈
     */
    @Excel(name = "状态", readConverterExp = "1=待反馈,2=已反馈")
    private Integer status;

    /**
     * 提交时间
     */
    @Excel(name = "提交时间")
    private LocalDateTime createTime;

    /**
     * 处理人
     */
    @Excel(name = "处理人")
    private String handleName;

    /**
     * 处理内容
     */
    @Excel(name = "处理内容")
    private String handleContent;

    /**
     * 处理时间
     */
    @Excel(name = "处理时间")
    private LocalDateTime handleTime;

}
